%% This script is testing the functionalities of the Dipolar Gas Simulator
%
%  Important:  Run only sectionwise!! 

%% - Create Simulator, Potential and Calculator object with specified options

OptionsStruct = struct;
OptionsStruct.SimulationMode          = 'ImaginaryTimeEvolution'; % 'ImaginaryTimeEvolution' | 'RealTimeEvolution'
OptionsStruct.CutoffType              = 'Cylindrical';
OptionsStruct.PotentialType           = 'Harmonic';
OptionsStruct.TimeStep                = 50e-06; % in s
OptionsStruct.SimulationTime          =  4e-03; % in s
OptionsStruct.SaveData                = true;
OptionsStruct.SaveDirectory           = './Data';
options                               = Helper.convertstruct2cell(OptionsStruct);
clear OptionsStruct

sim  = Simulator.DipolarGas(options{:});
calc = Simulator.Calculator(options{:});
pot  = Simulator.Potentials(options{:});

%-% Run Simulation %-%
[Params, Transf, psi, V, VDk] = sim.runSimulation(calc);

%% - Plot results
Plotter.visualizeSpace(Transf)