function [psi,V,VDk] = initialize(this,calcObj,Params,Transf)

format long
X = Transf.X; Y = Transf.Y; Z = Transf.Z;

% == Trap potential == %
V = 0.5*(Params.gx.*X.^2+Params.gy.*Y.^2+Params.gz*Z.^2); 

% == Calculating the DDIs == %
if isfile(strcat(this.SaveDirectory, '/VDk_M.mat'))
    VDk = load(sprintf(strcat(this.SaveDirectory, '/VDk_M.mat')));
    VDk = VDk.VDk;
else
    VDk = calcObj.calculateVDCutoff(Params, Transf);
    save(sprintf(strcat(this.SaveDirectory, '/VDk_M.mat')),'VDk');
end
disp('Finished DDI')

% == Setting up the initial wavefunction == %
psi = this.SetupWavefunction();

end